import request from '@/utils/request'

//获取任务详情
export function taskDetail(data) {
  return request({
    url: '/task/getInfo',
    method: 'post',
    data
  })
}
//体系审查获取任务详情
export function reviewTaskDetail(data) {
  return request({
    url: '/system/review/task/view',
    method: 'post',
    data
  })
}

/**
 * 细则提交
 * @param {*} data
 * @returns
 */

export function reviewDetailsSubmit(data) {
  return request({
    url: '/review/details/result/save',
    method: 'post',
    data
  })
}
// 提交体系审查问卷
export function taskSubmit(data) {
  return request({
    url: '/system/review/task/submit',
    method: 'post',
    data
  })
}
// 启动车辆问卷审查任务
export function startReview(data) {
  return request({
    url: '/car/review/task/startReview',
    method: 'post',
    data
  })
}
// 提交车辆问卷审查任务
export function submitReview(data) {
  return request({
    url: '/car/review/task/submitReview',
    method: 'post',
    data
  })
}

// 查看车辆问卷审查任务详情
export function checkTaskDetail(data) {
  return request({
    url: '/car/review/task/view',
    method: 'post',
    data
  })
}
/**
 * 确认体系审查
 * @param {*} data
 * @returns
 */
export function reviewTaskConfirm(data) {
  return request({
    url: '/system/review/task/confirm',
    method: 'post',
    data
  })
}
/**
 *  开始体系审查
 * @param {*} data 
 * @returns 
 */
export function reviewTaskStart(data) {
  return request({
    url: '/system/review/task/start',
    method: 'post',
    data
  })
}
/**
 *  开始车辆审查
 * @param {*} data 
 * @returns 
 */
export function reviewCarTaskStart(data) {
  return request({
    url: '/car/review/task/startReview',
    method: 'post',
    data
  })
}

/**
 * 确认车辆审查
 * @param {*} data 
 * @returns 
 */
export function carReviewTaskConfirm(data) {
  return request({
    url: '/car/review/task/confirmReview',
    method: 'post',
    data
  })
}

